libetonyek::IWORKCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKCollector Class Referenceabstract

`#include <IWORKCollector.h>`

Inheritance diagram for libetonyek::IWORKCollector:

## Classes
struct | Level

## Public Member Functions
| IWORKCollector (IWORKDocumentInterface *document)
| ~IWORKCollector ()
void | setRecorder (const boost::shared_ptr< IWORKRecorder > &recorder)
void | collectStyle (const IWORKStylePtr_t &style)
void | setGraphicStyle (const IWORKStylePtr_t &style)
void | collectGeometry (const IWORKGeometryPtr_t &geometry)
void | collectBezier (const IWORKPathPtr_t &path)
void | collectImage (const IWORKImagePtr_t &image)
void | collectLine (const IWORKLinePtr_t &line)
void | collectShape ()
void | collectBezierPath ()
void | collectPolygonPath (const IWORKSize &size, unsigned edges)
void | collectRoundedRectanglePath (const IWORKSize &size, double radius)
void | collectArrowPath (const IWORKSize &size, double headWidth, double stemRelYPos, bool doubleSided)
void | collectStarPath (const IWORKSize &size, unsigned points, double innerRadius)
void | collectConnectionPath (const IWORKSize &size, double middleX, double middleY)
void | collectCalloutPath (const IWORKSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
void | collectMedia (const IWORKMediaContentPtr_t &content)
void | collectStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | collectMetadata (const IWORKMetadata &metadata)
void | collectHeader (const std::string &name)
void | collectFooter (const std::string &name)
void | collectTable (const boost::shared_ptr< IWORKTable > &table)
void | collectText (const boost::shared_ptr< IWORKText > &text)
void | startDocument ()
void | endDocument ()
void | startGroup ()
void | endGroup ()
void | startLevel ()
void | endLevel ()
void | pushStyle ()
void | popStyle ()
void | pushStylesheet (const IWORKStylesheetPtr_t &stylesheet)
void | popStylesheet ()
IWORKOutputManager & | getOutputManager ()
virtual boost::shared_ptr< IWORKTable > | createTable (const IWORKTableNameMapPtr_t &tableNameMap) const
virtual boost::shared_ptr< IWORKText > | createText (const IWORKLanguageManager &langManager, bool discardEmptyContent=false) const

## Protected Member Functions
void | fillMetadata (librevenge::RVNGPropertyList &props)

## Static Protected Member Functions
static void | writeFill (const IWORKFill &fill, librevenge::RVNGPropertyList &props)

## Protected Attributes
IWORKDocumentInterface * | m_document
boost::shared_ptr< IWORKRecorder > | m_recorder
std::stack< Level > | m_levelStack
IWORKStyleStack | m_styleStack
std::stack< IWORKStylesheetPtr_t > | m_stylesheetStack
IWORKOutputManager | m_outputManager
std::deque< IWORKStylePtr_t > | m_newStyles
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText
IWORKHeaderFooterMap_t | m_headers
IWORKHeaderFooterMap_t | m_footers

## Private Member Functions
void | pushStyle (const IWORKStylePtr_t &style)
void | resolveStyle (IWORKStyle &style)
void | collectHeaderFooter (const std::string &name, IWORKHeaderFooterMap_t &map)
void | drawMedia (const IWORKMediaPtr_t &media)
void | drawShape (const IWORKShapePtr_t &shape)
virtual void | drawTable ()=0
virtual void | drawMedia (double x, double y, double w, double h, const std::string &mimetype, const librevenge::RVNGBinaryData &data)=0
virtual void | fillShapeProperties (librevenge::RVNGPropertyList &props)=0
virtual void | drawTextBox (const IWORKTextPtr_t &text, const glm::dmat3 &trafo, const IWORKGeometryPtr_t &boundingBox)=0

## Private Attributes
IWORKPathPtr_t | m_currentPath
IWORKDataPtr_t | m_currentData
IWORKMediaContentPtr_t | m_currentUnfiltered
IWORKMediaContentPtr_t | m_currentFiltered
IWORKMediaContentPtr_t | m_currentLeveled
IWORKMediaContentPtr_t | m_currentContent
IWORKMetadata | m_metadata
int | m_groupLevel

## Constructor & Destructor Documentation

libetonyek::IWORKCollector::IWORKCollector | ( | IWORKDocumentInterface * | document | ) |
| explicit

libetonyek::IWORKCollector::~IWORKCollector | ( |  | ) |

## Member Function Documentation

void libetonyek::IWORKCollector::collectArrowPath | ( | const IWORKSize & | size,
|  | double | headWidth,
|  | double | stemRelYPos,
|  | bool | doubleSided
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectBezier | ( | const IWORKPathPtr_t & | path | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectBezierPath | ( |  | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectCalloutPath | ( | const IWORKSize & | size,
|  | double | radius,
|  | double | tailSize,
|  | double | tailX,
|  | double | tailY,
|  | bool | quoteBubble
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectConnectionPath | ( | const IWORKSize & | size,
|  | double | middleX,
|  | double | middleY
| ) |  |

void libetonyek::IWORKCollector::collectFooter | ( | const std::string & | name | ) |

void libetonyek::IWORKCollector::collectGeometry | ( | const IWORKGeometryPtr_t & | geometry | ) |

Referenced by libetonyek::IWAParser::parseShapePlacement().

void libetonyek::IWORKCollector::collectHeader | ( | const std::string & | name | ) |

void libetonyek::IWORKCollector::collectHeaderFooter | ( | const std::string & | name,
|  | IWORKHeaderFooterMap_t & | map
| ) |  |
| private

Referenced by collectFooter(), and collectHeader().

void libetonyek::IWORKCollector::collectImage | ( | const IWORKImagePtr_t & | image | ) |

void libetonyek::IWORKCollector::collectLine | ( | const IWORKLinePtr_t & | line | ) |

void libetonyek::IWORKCollector::collectMedia | ( | const IWORKMediaContentPtr_t & | content | ) |

Referenced by libetonyek::IWAParser::parseImage().

void libetonyek::IWORKCollector::collectMetadata | ( | const IWORKMetadata & | metadata | ) |

void libetonyek::IWORKCollector::collectPolygonPath | ( | const IWORKSize & | size,
|  | unsigned | edges
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectRoundedRectanglePath | ( | const IWORKSize & | size,
|  | double | radius
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectShape | ( |  | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectStarPath | ( | const IWORKSize & | size,
|  | unsigned | points,
|  | double | innerRadius
| ) |  |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::collectStyle | ( | const IWORKStylePtr_t & | style | ) |

Referenced by libetonyek::KEY2StyleContext::endOfElement().

void libetonyek::IWORKCollector::collectStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

void libetonyek::IWORKCollector::collectTable | ( | const boost::shared_ptr< IWORKTable > & | table | ) |

Referenced by libetonyek::IWAParser::parseTabularModel().

void libetonyek::IWORKCollector::collectText | ( | const boost::shared_ptr< IWORKText > & | text | ) |

Referenced by libetonyek::PAG1TextStorageElement::endOfElement(), libetonyek::PAG5Parser::parseDocument(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), and libetonyek::KEY6Parser::parseStickyNote().

boost::shared_ptr< IWORKTable > libetonyek::IWORKCollector::createTable | ( | const IWORKTableNameMapPtr_t & | tableNameMap | ) | const
| virtual

Reimplemented in libetonyek::KEY2Collector.

Referenced by libetonyek::KEY2Collector::createTable(), and libetonyek::IWAParser::parseTabularModel().

boost::shared_ptr< IWORKText > libetonyek::IWORKCollector::createText | ( | const IWORKLanguageManager & | langManager,
|  | bool | discardEmptyContent = `false`
| ) |  | const
| virtual

Reimplemented in libetonyek::KEY2Collector.

Referenced by libetonyek::KEY2Collector::createText(), libetonyek::PAG1TextStorageElement::element(), libetonyek::PAG5Parser::parseDocument(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), and libetonyek::IWAParser::parseTile().

void libetonyek::IWORKCollector::drawMedia | ( | const IWORKMediaPtr_t & | media | ) |
| private

Referenced by collectMedia().

virtual void libetonyek::IWORKCollector::drawMedia | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h,
|  | const std::string & | mimetype,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::PAGCollector, and libetonyek::NUMCollector.

void libetonyek::IWORKCollector::drawShape | ( | const IWORKShapePtr_t & | shape | ) |
| private

Referenced by collectShape().

virtual void libetonyek::IWORKCollector::drawTable | ( |  | ) |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::PAGCollector, and libetonyek::NUMCollector.

Referenced by collectTable().

virtual void libetonyek::IWORKCollector::drawTextBox | ( | const IWORKTextPtr_t & | text,
|  | const glm::dmat3 & | trafo,
|  | const IWORKGeometryPtr_t & | boundingBox
| ) |  |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::PAGCollector, and libetonyek::NUMCollector.

Referenced by drawShape().

void libetonyek::IWORKCollector::endDocument | ( |  | ) |

Referenced by libetonyek::NUMCollector::endDocument(), libetonyek::KEYCollector::endDocument(), and libetonyek::PAG5Parser::parseDocument().

void libetonyek::IWORKCollector::endGroup | ( |  | ) |

Referenced by libetonyek::IWAParser::parseGroup().

void libetonyek::IWORKCollector::endLevel | ( |  | ) |

Referenced by libetonyek::KEYCollector::endLayer(), libetonyek::KEYCollector::endPage(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGroup(), libetonyek::IWAParser::parseImage(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), and libetonyek::IWAParser::parseTabularInfo().

void libetonyek::IWORKCollector::fillMetadata | ( | librevenge::RVNGPropertyList & | props | ) |
| protected

Referenced by libetonyek::NUMCollector::endDocument(), libetonyek::KEYCollector::endDocument(), and libetonyek::PAGCollector::flushPageSpan().

virtual void libetonyek::IWORKCollector::fillShapeProperties | ( | librevenge::RVNGPropertyList & | props | ) |
| privatepure virtual

Implemented in libetonyek::KEYCollector, libetonyek::PAGCollector, and libetonyek::NUMCollector.

Referenced by drawShape().

IWORKOutputManager & libetonyek::IWORKCollector::getOutputManager | ( |  | ) |

Referenced by libetonyek::PAGCollector::closePageGroup(), libetonyek::KEYCollector::collectLayer(), libetonyek::PAGCollector::drawMedia(), libetonyek::KEYCollector::drawMedia(), libetonyek::NUMCollector::endDocument(), libetonyek::KEYCollector::endLayer(), libetonyek::KEYCollector::insertLayer(), libetonyek::PAGCollector::openPageGroup(), libetonyek::KEYCollector::startLayer(), and libetonyek::PAGCollector::writePageGroupsObjects().

void libetonyek::IWORKCollector::popStyle | ( |  | ) |

Referenced by endLevel().

void libetonyek::IWORKCollector::popStylesheet | ( |  | ) |

void libetonyek::IWORKCollector::pushStyle | ( |  | ) |

Referenced by startLevel().

void libetonyek::IWORKCollector::pushStyle | ( | const IWORKStylePtr_t & | style | ) |
| private

void libetonyek::IWORKCollector::pushStylesheet | ( | const IWORKStylesheetPtr_t & | stylesheet | ) |

void libetonyek::IWORKCollector::resolveStyle | ( | IWORKStyle & | style | ) |
| private

void libetonyek::IWORKCollector::setGraphicStyle | ( | const IWORKStylePtr_t & | style | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape().

void libetonyek::IWORKCollector::setRecorder | ( | const boost::shared_ptr< IWORKRecorder > & | recorder | ) |

void libetonyek::IWORKCollector::startDocument | ( |  | ) |

Referenced by libetonyek::PAG5Parser::parseDocument(), libetonyek::NUMCollector::startDocument(), and libetonyek::KEYCollector::startDocument().

void libetonyek::IWORKCollector::startGroup | ( |  | ) |

Referenced by libetonyek::IWAParser::parseGroup().

void libetonyek::IWORKCollector::startLevel | ( |  | ) |

Referenced by libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGroup(), libetonyek::IWAParser::parseImage(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::IWAParser::parseTabularInfo(), libetonyek::KEYCollector::startLayer(), and libetonyek::KEYCollector::startPage().

void libetonyek::IWORKCollector::writeFill | ( | const IWORKFill & | fill,
|  | librevenge::RVNGPropertyList & | props
| ) |  |
| staticprotected

Referenced by libetonyek::KEYCollector::writeSlide().

## Member Data Documentation

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentContent
| private

IWORKDataPtr_t libetonyek::IWORKCollector::m_currentData
| private

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentFiltered
| private

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentLeveled
| private

IWORKPathPtr_t libetonyek::IWORKCollector::m_currentPath
| private

Referenced by collectArrowPath(), collectBezier(), collectCalloutPath(), collectConnectionPath(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), endDocument(), and ~IWORKCollector().

boost::shared_ptr<IWORKTable> libetonyek::IWORKCollector::m_currentTable
| protected

Referenced by collectTable(), libetonyek::NUMCollector::drawTable(), libetonyek::PAGCollector::drawTable(), and libetonyek::KEYCollector::drawTable().

boost::shared_ptr<IWORKText> libetonyek::IWORKCollector::m_currentText
| protected

Referenced by collectHeaderFooter(), libetonyek::KEYCollector::collectNote(), collectShape(), libetonyek::KEYCollector::collectStickyNote(), collectText(), libetonyek::KEYCollector::collectTextPlaceholder(), endDocument(), libetonyek::PAGCollector::flushPageSpan(), and ~IWORKCollector().

IWORKMediaContentPtr_t libetonyek::IWORKCollector::m_currentUnfiltered
| private

IWORKDocumentInterface* libetonyek::IWORKCollector::m_document
| protected

Referenced by libetonyek::NUMCollector::endDocument(), libetonyek::KEYCollector::endDocument(), endDocument(), libetonyek::PAGCollector::flushPageSpan(), startDocument(), libetonyek::PAGCollector::writePageGroupsObjects(), and libetonyek::KEYCollector::writeSlide().

IWORKHeaderFooterMap_t libetonyek::IWORKCollector::m_footers
| protected

Referenced by collectFooter(), and libetonyek::PAGCollector::flushPageSpan().

int libetonyek::IWORKCollector::m_groupLevel
| private

Referenced by endDocument(), endGroup(), startGroup(), and ~IWORKCollector().

IWORKHeaderFooterMap_t libetonyek::IWORKCollector::m_headers
| protected

Referenced by collectHeader(), and libetonyek::PAGCollector::flushPageSpan().

std::stack<Level> libetonyek::IWORKCollector::m_levelStack
| protected

Referenced by collectGeometry(), collectImage(), collectLine(), collectMedia(), collectShape(), libetonyek::KEYCollector::collectStickyNote(), drawMedia(), drawShape(), libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTable(), endDocument(), endLevel(), libetonyek::KEYCollector::insertTextPlaceholder(), setGraphicStyle(), startLevel(), and ~IWORKCollector().

IWORKMetadata libetonyek::IWORKCollector::m_metadata
| private

Referenced by collectMetadata(), and fillMetadata().

std::deque<IWORKStylePtr_t> libetonyek::IWORKCollector::m_newStyles
| protected

Referenced by collectStyle(), and collectStylesheet().

IWORKOutputManager libetonyek::IWORKCollector::m_outputManager
| protected

Referenced by collectImage(), collectLine(), drawShape(), libetonyek::NUMCollector::drawTable(), libetonyek::PAGCollector::drawTable(), libetonyek::KEYCollector::drawTable(), libetonyek::PAGCollector::drawTextBox(), libetonyek::KEYCollector::drawTextBox(), and getOutputManager().

boost::shared_ptr<IWORKRecorder> libetonyek::IWORKCollector::m_recorder
| protected

Referenced by collectArrowPath(), collectBezier(), collectCalloutPath(), collectConnectionPath(), collectGeometry(), collectImage(), collectLine(), collectMedia(), collectPolygonPath(), collectRoundedRectanglePath(), collectShape(), collectStarPath(), collectStyle(), collectStylesheet(), collectTable(), collectText(), endGroup(), endLevel(), libetonyek::KEYCollector::endPage(), popStylesheet(), pushStylesheet(), setGraphicStyle(), setRecorder(), startGroup(), and startLevel().

std::stack<IWORKStylesheetPtr_t> libetonyek::IWORKCollector::m_stylesheetStack
| protected

Referenced by libetonyek::PAGCollector::openSection(), popStylesheet(), pushStylesheet(), and ~IWORKCollector().

IWORKStyleStack libetonyek::IWORKCollector::m_styleStack
| protected

Referenced by libetonyek::KEYCollector::collectTextPlaceholder(), popStyle(), pushStyle(), and setGraphicStyle().

The documentation for this class was generated from the following files:

- IWORKCollector.h
- IWORKCollector.cpp